#ifndef R_PLUGIN_H
#define R_PLUGIN_H

#include <raptormenu_export.h>
#include <QObject>
#include <KPluginFactory>

namespace RaptorMenu
{
    class RAPTORMENU_EXPORT Plugin : public QObject
    {
        Q_OBJECT
        public:
            Plugin(QObject * parent = 0);
            virtual ~Plugin();

    };
} // namespace RaptorMenu

#define K_EXPORT_RAPTOR_PLUGIN(libname, classname) \
K_PLUGIN_FACTORY(factory, registerPlugin<classname>();) \
K_EXPORT_PLUGIN(factory("raptormenu_" #libname))

#endif
