/*******************************************************************************
* This file is part of RaptorMenu.
*  Maintained by : Siraj Razick <siraj@kde.org> and Lukas Appelhans <l.appelhans@gmx.de>
*  Authored By  :
*
*  RaptorMenu is free software: you can redistribute it and/or modify
*  it under the terms of the GNU Lesser General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  RaptorMenu is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU Lesser General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with RaptorMenu. If not, see <http://www.gnu.org/licenses/lgpl.html>
*******************************************************************************/
#ifndef INTERFACEPLUGIN_H
#define INTERFACEPLUGIN_H

#include "plugin.h"
#include <raptormenu_export.h>
#include <QtCore>
#include <QtGui>

class QGraphicsWidget;

namespace RaptorMenu
{
    class RAPTORMENU_EXPORT UserInterfacePlugin : public Plugin
    {
        Q_OBJECT
        public:
            UserInterfacePlugin(QObject * parent = 0);
            virtual ~UserInterfacePlugin();

            virtual QGraphicsWidget * graphicsWidget() = 0;
    };
} // namespace RaptorMenu

#endif
