#include "userhelper.h"
#include <KIconLoader>
#include <QGraphicsPixmapItem>

void UserHelper::pixmapToItem(QString filename, QGraphicsItem* item, QPointF point)
{
    QGraphicsPixmapItem graphicsItem(item);
    QPixmap pixmap;
    KIconLoader* iconLoader = new KIconLoader();
    pixmap = iconLoader->loadIcon(filename, KIconLoader::NoGroup);
    if (!pixmap.isNull())
    {
        graphicsItem.setPixmap(pixmap);
        graphicsItem.mapToScene(point);
    }
}

#include "userhelper.moc"
